Skip to main content

Retrieve Skill Version

Returns the metadata and scan status of a specified version.

Prerequisites

Endpoint and authentication configured. For details, see Overview and authentication.

Endpoint

GET /skills/{skill_id}/versions/{version}

Request example

curl "$AGENTSTUDIO_URL/skills/skill_xxx/versions/1.0" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY"

Response example

{
  "id": "skillver_xxx",
  "skill_id": "skill_xxx",
  "type": "skill_version",
  "name": "pdf3.0",
  "description": "Description parsed from SKILL.md",
  "version": "1.0",
  "status": "active",
  "created_at": "2026-06-16T07:56:03+00:00",
  "updated_at": "2026-06-16T07:57:42+00:00"
}

Response fields

FieldTypeDescription
idstringVersion ID, format: skillver_xxx
skill_idstringParent skill ID
typestringAlways skill_version
name / descriptionstringParsed from SKILL.md inside this version's zip
versionstringVersion number, generated by the server
statusstringScan status: checking / active / rejected. Only active can be mounted
created_at / updated_atstringCreation / last update time, ISO 8601
additional_propertiesobjectReturned only when status=rejected; contains error_info: security review issues listed by file path within the zip
Flow Agent API
Sandbox API
RAG API
Long-term Memory
ParseX API
Security API
Framework Integration